/*
 * Sommaire
 * --------
 * [01] variables
 * [02] typographie
 * [03] layout général
 * [04] header
 * [05] icônes flottantes de droite
 * [06] messages flash
 * [07] bandeau titre
 * [08] tables
 * [09] pagination
 * [10] footer
 * [11] classes utilitaires (margin)
 * [12] row à 5 colonnes
 * [13] media queries
 */

/*
 * [01] VARIABLES
 */

 :root {
    /* réglage css */

    --font_montserrat: 'Montserrat', sans-serif;
    --font_ubuntu: 'Ubuntu', sans-serif;
    --regular_weight: 400;
    --bold_weight: 700;
    --noir: #161616;
    --blanc-casser: #fbfbfb;
    --vert_opencorner: #019A6B;
    --rouge_mrbricolage: #eb0029;
    --white: #fff;
    --gris: #e8f1f2;

    --titre_size: 40px;
    --titre_spacing: 1px;
    --titre_uppercase: uppercase;

    --sstitre_size: 20px;
    --sstitre_spacing: 1px;
    --sstitre_uppercase: uppercase;

    --button_background-color: var(--rouge_mrbricolage) 0% 0% no-repeat padding-box;
    --button_shadow: 0px 3px 6px #00000029;
    --button_border-radius: 10px;
    --button_padding: 10px 65px;
    --button_color: #fff;

    --space_margin-top: 100px;
    --space_margin-bottom: 30px;
    --space_mid: 47px;
    --space_low: 15px;

    --smspace_margin-top: 10px;
    --smspace_margin-bottom: 3px;

    --number--top: 20px;
    --number--line-height: 30px;
    --number-border-radius: 30px;
    --number-size: 25px;
/*     --slider-home--height: calc(100vh - 159px); */

    /* nav réglage */
    --nav-margin: 0 80px;
    --small: 1.5rem;
    --font_nav: 20px;
    --font_sur-nav: 18px;
    --padding: 10px 0;
    --sur_menu_center: 15px;

    /* footer réglage */
    --card-border-radius: 2px 2px 0 0;
    --card-img-1_left: 0;
    --card-img-1_right: 0;
    --card-img-1_top: -62px;
    --card-img-1_bottom: 0;

    --card-img-2_left: 0;
    --card-img-2_right: 0;
    --card-img-2_top: -45px;
    --card-img-2_bottom: 0;

    --card-img-3_left: 0;
    --card-img-3_right: 0;
    --card-img-3_top: -45px;
    --card-img-3_bottom: 0;

    /* Social icon */
    --social_icon: 30px;
}

/* css Font for all */
@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Regular.ttf');
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Medium.ttf');
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-SemiBold.ttf');
    font-weight: 600;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Bold.ttf');
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: 'Ubuntu';
    src: url('../font/Ubuntu-R.woff2');
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: 'Ubuntu';
    src: url('../font/Ubuntu-M.woff2');
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: 'Ubuntu';
    src: url('../font/Ubuntu-B.woff2');
    font-weight: 700;
    font-display: swap;
}


@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url('../font/MaterialIcons-Regular.woff2') format('woff2');
}

/*
 * [02] TYPOGRAPHIE
 */

body,
html {
    font-family: var(--font_ubuntu);
    font-weight: var(--regular_weight);
}

.strong-- {
    font-weight: 800;
}

a.inverted-link {
    color: var(--noir);
}

a.inverted-link:hover {
    color: var(--rouge_mrbricolage);
}

a.inverted-link-foo {
    color: var(--noir);
}

a.inverted-link-foo:hover {
    color: var(--noir);
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
    user-select: none;
    -moz-user-select: none;
}

.puces li {
    list-style-type: disc !important;
}

.puces {
    margin-left: 20px;
}

.bgd-grey {
    background-color: #fbfbfb;
}

.border-left {
    border-left: 2px solid #dcdcdc;
    margin: 15px 0;
}

.border-right {
    margin: 15px 0;
}

/*
 * Cette classe affecte tous les tooltips Materialize.
 * En raison de la façon dont Materialize est implémenté,
 * il n'est pas possible d'utiliser une classe plus
 * spécifique.
 */
.opencorner-background,
.material-tooltip {
    background: var(--rouge_mrbricolage);
    color: var(--button_color);
}

.opencorner-color {
    color: var(--rouge_mrbricolage);
}

.titre {
    font-size: var(--titre_size);
    letter-spacing: var(--titre_spacing);
    color: var(--noir);
    text-transform: var(--titre_uppercase);
}

.text-none {
    text-transform: none;
}

.sstitre {
    font-size: var(--sstitre_size);
    letter-spacing: var(--sstitre_spacing);
    color: var(--noir);
    text-transform: var(--sstitre_uppercase);
}

.titre.noupper,
.sstitre.noupper {
    text-transform: none;
}

dt {
    font-weight: var(--bold_weight);
}

.btn.btn-primary {
    background-color: var(--rouge_mrbricolage);
    color: var(--white);
    border-color: var(--rouge_mrbricolage);
}

.btn.btn-primary:hover {
    opacity: 0.6;
}

.btn.btn-secondary {
    background-color: var(--gris);
    color: var(--noir);
    border: none;
}

.btn.btn-secondary:hover {
    opacity: 0.6;
}

.btn.btn-outline-primary {
    border-color: var(--rouge_mrbricolage);
    color: var(--rouge_mrbricolage);
}

.btn.btn-outline-primary:hover {
    background-color: var(--rouge_mrbricolage);
    color: var(--white);
    border-color: var(--rouge_mrbricolage);
}

.btn.btn-inverted {
    background-color: var(--white);
    color: var(--rouge_mrbricolage);
    border-color: var(--white);
}

.btn.btn-inverted:hover {
    filter: brightness(0.9);
}

.btn.btn-outline-inverted {
    background-color: transparent;
    color: var(--white);
    border-color: var(--white);
}

.btn.btn-outline-inverted:hover {
    background-color: var(--gris);
    color: var(--rouge_mrbricolage);
}

.form-check-input:checked {
    background-color: var(--rouge_mrbricolage);
    border-color: var(--rouge_mrbricolage);
}

.button {
    background: var(--button_background-color);
    box-shadow: var(--button_shadow);
    border-radius: var(--button_border-radius);
    padding: var(--button_padding);
    display: inline-block;
    border: none;
    color: var(--button_color);
    transition: 0.2s;
    cursor: pointer;
    font-family: var(--font_montserrat);
    white-space: nowrap;
    line-height: 1.15;
    font-weight: var(--bold_weight);
    font-size: 19px;
}

.button:hover,
.button:target,
.button:focus {
    /* background: #077050; */
    color: var(--button_color);
    box-shadow: 0px 6px 6px #00000029;
    display: inline-block;
    border: none;
}

.button.hollow {
    background-color: transparent;
    border: 1px solid var(--rouge_mrbricolage);
    color: var(--rouge_mrbricolage);
}

.button.hollow:hover,
.button.hollow:target,
.button.hollow:focus {
    background-color: rgba(0, 0, 0, 0.1);
}

.buttongreen {
    background: #217146;
}

.buttongreen:hover,
.buttongreen:target,
.buttongreen:focus {
    background-color: #115126;
}

.button .material-icons {
    font-size: inherit;
    line-height: 1.15;
    vertical-align: text-bottom;
}

.button[data-glide-dir] {
    font-size: 32px;
    padding-top: 0;
}

.underline {
    text-decoration: underline;
}

li.error {
    color: var(--rouge_mrbricolage);
}

.star-rating {
    color: var(--rouge_mrbricolage);
}

.star-rating .material-icons {
    font-size: 18px;
    vertical-align: text-bottom;
}

/*
 * [03] LAYOUT GÉNÉRAL
 */

.not_bottom_marge {
    margin-bottom: 0;
}

.nomarg {
    margin: 0;
}

.wrap {
    white-space: normal;
}

.nowrap {
    white-space: nowrap;
    flex-shrink: 0;
}

.space {
    margin-top: var(--space_mid);
    margin-bottom: var(--space_mid);
}

.space-2 {
    margin-bottom: 15px;
}

.space-3 {
    margin-top: var(--space_margin-top);
}

.space-low {
    margin-top: var(--space_low);
}

.smspace {
    margin-top: var(--smspace_margin-top);
    margin-bottom: var(--smspace_margin-bottom);
}

.smspace2 {
    margin-top: var(--smspace_margin-top);
    margin-bottom: 2em;
}

a .card {
    color: rgba(0, 0, 0, 0.87);
}

.form-inline {
    display: inline;
}

.pad-5 {
    padding: 5px;
}

.pad-20 {
    padding: 20px;
}

.pad-1-20 {
    padding: 1px 20px 20px 20px;
}

.background-white {
    border: 10px solid rgba(112, 112, 112, 0.12);
    background-color: #ffffff;
}

.background-gray-1 {
    background-color: #f9f9f9;
}

.zoom-card .card-image,
.zoom-img {
    overflow: hidden;
}

.size_card {
    object-fit: cover;
    height: 250px;
}

.size_card,
.zoom-card .card-image img,
.zoom-img > img {
    transition: transform 0.3s;
}

.zoom-card:hover .size_card,
.zoom-card:hover .card-image img,
.zoom-img:hover > img {
    transform: scale(1.1);
}

/* pour tarteaucitron.js (cookies) */
.tac_activate {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.youtube_player .tac_activate .tac_float .tarteaucitronAllow {
    background-color: var(--rouge_mrbricolage);
}

.border_solid {
    border: solid;
    padding: 15px;
}

/*
 * [04] HEADER
 */

#sur-nav,
#nav,
#nav-inner {
    padding: var(--padding);
    margin: 0;
}

i.small-icon {
    font-size: var(--small);
}

/* utilisé uniquement dans la navbar */
.marg-5 {
    margin-left: 5px;
    font-size: 16px;
}

/* fix du bug du lien "Salles de bain :focus / : active on hovered "*/
:focus {
    outline: 0;
}

/*
 * [05] ICÔNES FLOTTANTES DE DROITE
 */


.block {
    display: block;
    text-align: right;
}

/*
 * [06] MESSAGES FLASH
 */

.msg-info {
    background-color: #03a9f4;
    color: var(--noir);
}

.msg-success {
    background-color: #4caf50;
    color: var(--noir);
}

.msg-warning,
.msg-notice {
    background-color: #ffc107;
    color: var(--noir);
}

.msg-danger,
.msg-error {
    background-color: #f44336;
    color: var(--noir);
}

/*
 * [07] BANDEAU TITRE
 */

.uppercase {
    text-transform: uppercase;
}

.overlay {
    background: rgba(0, 0, 0, 0.3);
    display: inline-block;
    width: 100%;
    height: 100%;
    z-index: 10;
}

.overflow img {
    display: inline-block;
    filter: brightness(65%);
    width: 100%;
    position: absolute;
    /*top: -210px;*/
}

.height-img {
    height: 300px;
    margin-bottom: 10px;
}

.height-img-agency {
    height: 350px;
}

.height-img-agency img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.list-group-flush>.list-group-item:last-child {
    border-bottom: 1px solid black;
}

.height-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*
 * [08] TABLES
 */

.table {
    overflow-x: auto;
}

.table caption {
    text-align: left;
    padding: 5px;
    padding-left: 15px;
}

.table th {
    white-space: nowrap;
}

.table th .material-icons {
    font-size: inherit;
}

.table tbody {
    background-color: #fafafa;
}

.table .filterbar {
    background-color: #303a4b;
    color: white;
}

.table .filterbar th,
.table .filterbar td {
    border-radius: 0;
}

.table.multi-tbody tbody:not(:last-child) {
    border-bottom: 2px solid rgba(0, 0, 0, 0.12);
}

.overflow-x-auto {
    overflow-x: auto;
}

tr.compact {
    border-bottom: none;
}

tr.compact td,
tr.compact th {
    padding-top: 0;
    padding-bottom: 0;
}

.d-none {
    display: none;
}

/*
 * [09] PAGINATION
 */

.pagination {
    user-select: none;
    -moz-user-select: none;
}

.pagination li a {
    color: var(--noir);
    transition: 0.2s;
}

.pagination li:hover a {
    color: var(--rouge_mrbricolage);
    transition: 0.2s;
}

.pagination li.active {
    background-color: var(--rouge_mrbricolage);
}

.pagination li.active > a.page-link,
.pagination li.active:hover > a.page-link {
    background-color: var(--rouge_mrbricolage);
    color: #ffffff;
}

.pagination li.disabled:hover a {
    color: #999999;
}

/*
 * [10] FOOTER
 */

.footer_color {
    background-color: #e8f1f2;
    padding: 50px 0;
}

.footer_tag {
    background-color: var(--rouge_mrbricolage);
}

.height {
    margin-bottom: 0px;
}

.social-- {
    text-align: right;
    margin-top: 0;
}

.social-- li {
    display: inline-block;
}

.social-- li a img {
    width: var(--social_icon);
}

.icon_footer {
    display: inline-grid;
    width: calc(100% / 6 - 5px);
    min-width: 150px;
}

.icon_footer p {
    font-size: 18px;
}

.icon_footer img {
    text-align: center;
    height: 80px;
    margin: 0 auto;
}

.icon_footer .two-images img {
    width: auto;
}

.--top_marg {
    margin: 0;
}

.resize-mobile {
    transform: scale(5);
    display: inline-block;
    height: 36px;
}
/* champ newsletter */
.button_news {
    background: var(--button_background-color);
    text-align: center;
}

.button_news--,
.button_news--:focus {
    color: var(--button_color);
    background-color: transparent;
    border: none;
}

.footer_menu {
    display: inline-block;
    width: calc(100% / 5 - 5px);
    min-width: 150px;
    padding: 0 5px;
    vertical-align: top;
}

.footer_menu .left-menu {
    text-align: left;
    font-size: 18px;
    font-weight: bold;
    color: #fff;
    margin-top: 0;
}

.footer_menu ul li a {
    color: #fff;
    line-height: 1;
}

.footer_color ul li {
    list-style: none;
}

.footer_color ul li a:hover {
    color: var(--noir);
}

.footer-link {
    color: #fff;
}

/*
 * [11] CLASSES UTILITAIRES (MARGIN)
 */
.marg-5-l {
    margin-left: 5px;
}

.marg-5-t {
    margin-top: 5px;
}

.marg-10-b {
    margin-bottom: 10px;
}

.pad-r-10 {
    padding-right: 10px;
}

/*
 * [12] ROW À 5 COLONNES
 * @see https://stackoverflow.com/questions/39205432/materialize-grid-do-5-columns
 */

/* .s5ths,
.m5ths,
.l5ths,
.xl5ths {
    margin-left: auto;
    left: auto;
    right: auto;
} */

.row .col.s5ths {
    width: 20%;
}

/*
 * UTILITAIRES
 */
.d-block {
    display: block;
}

.d-inline {
    display: inline;
}

.d-inline-block {
    display: inline-block;
}

.d-inline-block-important {
    display: inline-block !important;
}

.d-inline-flex {
    display: inline-flex;
}

.d-inline-flex-important {
    display: inline-flex !important;
}

.align-middle {
    vertical-align: middle;
}

.bold {
    font-weight: bold;
}

.text-justify {
    text-align: justify;
}

.size-title-footer {
    font-size: 1.15rem;
}

.color_opencorner {
    color: var(--rouge_mrbricolage)!important;
}

.background-srpite {
    background-image: url('../icons/Picto-webdesign-sans-fond.png');
}

.path {
    margin: 15px;
}

.path a {
    color: black;
}

/* button:focus {
    background-color: transparent;
} */

.position-center {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.none {
    display: none;
}

.montserrat-bold {
    font-weight: var(--bold_weight);
}

/*
 * [13] MEDIA QUERIES (doivent être en dernier et dans l'ordre du
 * plus grand au plus petit 1600 px > 318 px)
 */

@media only screen and (max-width: 1732px) {
    #nav li {
        display: inline;
        margin: 25px;
    }

    .marg-5 {
        margin-left: 5px;
        font-size: 14px;
    }
}

@media only screen and (max-width: 1440px) {
    #nav li {
        display: inline;
        margin: 25px;
    }

    .marg-5 {
        margin-left: 5px;
        font-size: 14px;
    }
}

@media only screen and (max-width: 1385px) {
    #nav li {
        display: inline;
        margin: 25px;
    }

    .marg-5 {
        margin-left: 5px;
        font-size: 14px;
    }
}
@media only screen and (max-width: 1024px) {
    #nav li {
        display: inline;
        margin: 25px;
    }

    .marg-5 {
        margin-left: 5px;
        font-size: 14px;
    }
    #nav li a {
        font-size: 18px;
    }

    .height-img {
        height: auto;
    }
}

@media only screen and (min-width: 1201px) {
    .row .col.xl5ths {
        width: 20%;
    }
}

@media only screen and (min-width: 993px) {
    .row .col.l5ths {
        width: 20%;
    }
    .sidenav-trigger {
        opacity: 0;
    }

    .imglogo {
        transform: translateY(10px);
    }

    .rdv-menu {
        display: none;
    }
}

@media only screen and (max-width: 992px) {
    .burg-menu {
        margin-top: 25px;
    }

    .logo-section {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        align-items: center;
    }

    .logo-section > a {
        display: inline-block;
        height: 100%;
    }
}

@media only screen and (max-width: 850px) {
    :root {
        --titre_size: 24px;
    }

    .button {
        padding: 10px 30px;
    }
}

/* @media only screen and (min-width: 601px) {
    .row .col.m5ths {
        width: 20%;
    }
} */

@media only screen and (max-width: 600px) {
    .marg-25-t {
        margin-top: 25px;
    }
    .burg-menu {
        margin-top: 15px;
    }
    .marg-neg-20-b {
        margin-bottom: -20px !important;
    }
    .txt-alig-cent {
        text-align: center;
    }

    .button {
        padding: 10px 10px;
    }

    .mobile-responsive {
        display: flex;
        flex-direction: column;
    }
}
